Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# TAO_OC_Endpoint_Selector_Factory Class Reference

Factory for initializing <endpoint_selection_state> and obtaining appropriate <invocation_endpoint_selector>. More...

`#include <OC_Endpoint_Selector_Factory.h>`

Inheritance diagram for TAO_OC_Endpoint_Selector_Factory:

[legend]
Collaboration diagram for TAO_OC_Endpoint_Selector_Factory:

[legend]
List of all members.

## Public Member Functions
| TAO_OC_Endpoint_Selector_Factory (void)
| Constructor.
virtual | ~TAO_OC_Endpoint_Selector_Factory (void)
| Destructor.
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual TAO_Invocation_Endpoint_Selector * | get_selector ()
## Protected Attributes
TAO_Optimized_Connection_Endpoint_Selector * | oc_endpoint_selector_

## Detailed Description

Factory for initializing <endpoint_selection_state> and obtaining appropriate <invocation_endpoint_selector>.

Used by Invocation classes to intialize its endpoint selection strategy and state based on the effective policies. Endpoint selection strategies are stateless objects - all the state they need is contained by Invocation in <endpoint_selection_state>. Thus, rather than allocating an endpoint selection strategy object for each Invocation, the factory simply returns the appropriate one from the set preallocated in the ORB_Core. One endpoint selection strategy object can be used by many invocations concurrently.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_OC_Endpoint_Selector_Factory::TAO_OC_Endpoint_Selector_Factory | ( | void |  | ) |

| Constructor.

TAO_OC_Endpoint_Selector_Factory::~TAO_OC_Endpoint_Selector_Factory | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual TAO_Invocation_Endpoint_Selector* TAO_OC_Endpoint_Selector_Factory::get_selector | ( |  | ) | `[virtual]`

| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance. Implements TAO_Endpoint_Selector_Factory.

int TAO_OC_Endpoint_Selector_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

## Member Data Documentation

TAO_Optimized_Connection_Endpoint_Selector* TAO_OC_Endpoint_Selector_Factory::oc_endpoint_selector_`[protected]`

| The possible endpoint selector strategies that can be returned by this factory

The documentation for this class was generated from the following files:

- OC_Endpoint_Selector_Factory.h
- OC_Endpoint_Selector_Factory.cpp